const x = {
  classes: {
    wrapper: ({ props: l }) => {
      let e = "inline-flex items-center leading-none max-w-full";
      return l.size === "xs" ? e += " px-2 py-1 text-xs" : l.size === "sm" ? e += " px-2 py-1 text-sm" : l.size === "lg" ? e += " px-4 py-3 text-lg" : l.size === "xl" ? e += " px-6 py-6 text-xl" : e += " px-3 py-2", e;
    }
  },
  styles: ({ colors: l, props: e, css: s }) => {
    const t = l.getPalette(e.color);
    return s.variables({
      bg: t[200],
      text: t[800],
      border: t[800],
      dark: {
        bg: t[800],
        border: t[400],
        text: e.outlined ? t[200] : t[100]
      }
    });
  }
}, i = x;
export {
  i as default
};
